Loading...
Searching...
No Matches
prometheus::Collectable Class Referenceabstract

Interface implemented by anything that can be used by Prometheus to collect metrics. More...

`#include <collectable.h>`

Inheritance diagram for prometheus::Collectable:
[legend]

## Public Member Functions

virtual std::vector< MetricFamily > | Collect () const =0
| Returns a list of metrics and their samples.

## Detailed Description

Interface implemented by anything that can be used by Prometheus to collect metrics.

A Collectable has to be registered for collection. See Registry.

## Member Function Documentation

## Collect()

virtual std::vector< MetricFamily > prometheus::Collectable::Collect | ( |  | ) | const

pure virtual

Returns a list of metrics and their samples.

Implemented in prometheus::Family< T >, and prometheus::Registry.